Skip to content

VoIP (Template) ​

23 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getCallBlockingProfilesGETGet call blocking profile list template
createCallBlockingProfilePOSTCreate new call blocking profile template
modifyCallBlockingProfilePATCHModify a call blocking profile template
deleteCallBlockingProfile_1DELETEDelete call blocking profile template
getDndSettingsGETGet DND settings template
modifyDndSettingsPATCHModify DND settings template
getVoipEmergencyGETGet Voip Emergency Number Info Template
modifyVoipEmergencyPATCHModify Voip Emergency Number Setting Template
getGridProviderProfileListGETGet the grid of provider profile list template
createProviderProfilePOSTCreate new provider profile template
modifyProviderProfilePATCHModify a provider profile template
deleteProviderProfiles_1DELETEDelete provider profile(s) template
deleteCallForwardingRuleDELETEBatch delete existing Call Forwarding in siteTemplate
addCallForwardingRulePOSTCreate new siteTemplate's Call Forwarding
modifyCallForwardingRulePATCHModify an existing Call Forwarding in siteTemplate
getCallForwardingRulesGridTemplateGETGet siteTemplate's Call Forwarding list
getVoipCallLogEnableGETGet siteTemplate's Voip CallLog Setting
modifyVoipCallLogEnablePOSTModify siteTemplate's Voip CallLog Setting
getVoipTelephoneBookTemplateGETGet siteTemplate's Voip Contact Person list
createVoipTelephoneBookTemplatePOSTCreate new siteTemplate's Contact Person
deleteVoipTelephoneBookTemplateDELETEDelete an existing Contact Person in siteTemplate
modifyVoipTelephoneBookTemplatePATCHModify an existing Contact Person in siteTemplate
batchDeleteVoipTelephoneBookTemplatePOSTBatch delete existing Contact Person in siteTemplate

getCallBlockingProfiles ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/call-blocking

Get call blocking profile list template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID
json
// omada_call_operation
{
  "operationId": "getCallBlockingProfiles",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get call blocking profile list template.
The interface requires one of the permissions:
Global Site Template Manager View Only

createCallBlockingProfile ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/call-blocking

Create new call blocking profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID

Request body — application/json (required) — schema CreateCallBlockingProfileEntity

FieldTypeRequiredDescription
profileNamestringyesCall blocking profile name
incomingCallsBlockingEnablebooleannoEnable incoming calls blocking or not. The default value is false.
incomingCallsBlockingIncomingCallsBlockingVOno(IncomingCallsBlockingVO not expanded; call omada_get_schema "IncomingCallsBlockingVO")
outgoingCallsBlockingEnablebooleannoEnable outgoing calls blocking or not. The default value is false.
outgoingCallsBlockingOutgoingCallsBlockingVOno(OutgoingCallsBlockingVO not expanded; call omada_get_schema "OutgoingCallsBlockingVO")
json
// omada_call_operation
{
  "operationId": "createCallBlockingProfile",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new call blocking profile template.
The interface requires one of the permissions:
Global Site Template Manager Modify

modifyCallBlockingProfile ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/call-blocking/{profileId}

Modify a call blocking profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID
profileIdpathstringyesProfile ID

Request body — application/json (required) — schema ModifyCallBlockingProfileEntity

FieldTypeRequiredDescription
profileNamestringnoCall blocking profile name
incomingCallsBlockingEnablebooleannoEnable incoming calls blocking or not. The default value is false.
incomingCallsBlockingIncomingCallsBlockingVOno(IncomingCallsBlockingVO not expanded; call omada_get_schema "IncomingCallsBlockingVO")
outgoingCallsBlockingEnablebooleannoEnable outgoing calls blocking or not. The default value is false.
outgoingCallsBlockingOutgoingCallsBlockingVOno(OutgoingCallsBlockingVO not expanded; call omada_get_schema "OutgoingCallsBlockingVO")
json
// omada_call_operation
{
  "operationId": "modifyCallBlockingProfile",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "profileId": "<profileId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify a call blocking profile template.
The interface requires one of the permissions:
Global Site Template Manager Modify

deleteCallBlockingProfile_1 ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/call-blocking/delete

Delete call blocking profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID

Request body — application/json (required) — schema DeleteCallBlockingProfileEntity

FieldTypeRequiredDescription
profileIdstringyesProfile ID
skipConfirmbooleanyesskipConfirm indicates whether to skip the query of the devices bound to call blocking profile. false: Not to skip the query. true: Skip the query and delete the call blocking profile corresponding to the profileId.
json
// omada_call_operation
{
  "operationId": "deleteCallBlockingProfile_1",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete call blocking profile template.
The interface requires one of the permissions:
Global Site Template Manager Modify

getDndSettings ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/dnd/settings

Get DND settings template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID
json
// omada_call_operation
{
  "operationId": "getDndSettings",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get DND settings template
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyDndSettings ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/dnd/settings

Modify DND settings template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID

Request body — application/json (required) — schema DndSettingEntity

FieldTypeRequiredDescription
omadacIdstringnoOmadac ID
siteIdstringnoSite ID
enablebooleanyesEnable DND or not
dayModeintegernoThe days you want to block the incoming calls. 1-daily,2-weekend,3-weekday
timeBeginintegernoThe start time of the DND period you want to block incoming calls. It should be an integer value between 0 and 1438.
timeEndintegernoThe end time of the DND period you want to block incoming calls. It should be an integer value between 1 and 1439.
json
// omada_call_operation
{
  "operationId": "modifyDndSettings",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify DND settings template
The interface requires one of the permissions:
Global Site Template Manager Modify

getVoipEmergency ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/emergency-number-settings

Get Voip Emergency Number Info Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID
json
// omada_call_operation
{
  "operationId": "getVoipEmergency",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get Voip Emergency Number Info Template.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyVoipEmergency ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/emergency-number-settings

Modify Voip Emergency Number Setting Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID

Request body — application/json (required) — schema VoipEmergencyNumberSetting

FieldTypeRequiredDescription
emergencyNumberEnablebooleanyesWhether to enable the emergency number.
noOperationTimeintegernoNo operation time should be within the range of 2-8s.
emergencyNumbersarray<string>noEmergency number list.
json
// omada_call_operation
{
  "operationId": "modifyVoipEmergency",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Voip Emergency Number Setting Template.
The interface requires one of the permissions:
Global Site Template Manager Modify

getGridProviderProfileList ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/grid/provider-profiles

Get the grid of provider profile list template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridProviderProfileList",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get the grid of provider profile list template.
The interface requires one of the permissions:
Global Site Template Manager View Only

createProviderProfile ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/provider-profiles

Create new provider profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema CreateProviderProfileEntity

FieldTypeRequiredDescription
profileNamestringyesProvider profile name
providerSettingsProviderSettingVOyes(ProviderSettingVO not expanded; call omada_get_schema "ProviderSettingVO")
json
// omada_call_operation
{
  "operationId": "createProviderProfile",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new provider profile template.
The interface requires one of the permissions:
Global Site Template Manager Modify

modifyProviderProfile ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/provider-profiles/{profileId}

Modify a provider profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
profileIdpathstringyesProfile ID

Request body — application/json (required) — schema ModifyProviderProfileEntity

FieldTypeRequiredDescription
profileNamestringnoProvider profile name
providerSettingsModifyProviderSettingOpenApiVOno(ModifyProviderSettingOpenApiVO not expanded; call omada_get_schema "ModifyProviderSettingOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyProviderProfile",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "profileId": "<profileId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify a provider profile template.
The interface requires one of the permissions:
Global Site Template Manager Modify

deleteProviderProfiles_1 ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/provider-profiles/delete

Delete provider profile(s) template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema DeleteProviderProfileTemplateEntity

FieldTypeRequiredDescription
profileIdsarray<string>yesProvider profile IDs
json
// omada_call_operation
{
  "operationId": "deleteProviderProfiles_1",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete provider profile(s) template.
The interface requires one of the permissions:
Global Site Template Manager Modify

deleteCallForwardingRule ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/call-forwarding

Batch delete existing Call Forwarding in siteTemplate

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema DeleteCallForwardingRules

FieldTypeRequiredDescription
ruleIdsarray<string>noIds of call forwarding rules to be deleted.
json
// omada_call_operation
{
  "operationId": "deleteCallForwardingRule",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch delete existing Call Forwarding in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager Modify

addCallForwardingRule ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/call-forwarding

Create new siteTemplate's Call Forwarding

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema CallForwardingRule

FieldTypeRequiredDescription
omadacIdstringnoOmadac ID
siteIdstringnoSite ID
ruleIdstringnoCall forwarding rule id
enablebooleanyesEnable this rule or not
conditionintegeryesForwarding condition. 0- no answer, 1- unconditional
typeintegeryesThe call type to be forwarded. 0: All Incoming Calls - If this option is selected, all incoming calls will be forwarded. 1: Calls to the Telephone Number - If this option is selected, select a telephone number from the list. Any incoming calls to this number will be forwarded. 2: Calls to the Phone - If this option is selected, select a telephony device from the list. Any incoming calls to this device will be forwarded. 3: Calls from a Person in the Telephone Book - If this option is selected, select a contact from the list. Any incoming calls from this contact will be forwarded. 4: Calls from the Telephone Number - If this option is selected, enter a specific telephone number. Any incoming calls from this number will be forwarded.
toNumbersarray<string>noAny incoming calls to these numbers will be forwarded.
toDevicesarray<integer>noAny incoming calls to these devices will be forwarded.
fromPersonsarray<string>noAny incoming calls from these contacts will be forwarded.
fromNumbersarray<string>noAny incoming calls from these numbers will be forwarded.
forwardViastringno"Auto" by default.
destNumberstringyesThe Destination Telephone Number that incoming calls will be redirected to.
json
// omada_call_operation
{
  "operationId": "addCallForwardingRule",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new siteTemplate's Call Forwarding.
The interface requires one of the permissions:
Global Site Template Manager Modify

modifyCallForwardingRule ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/call-forwarding/{forwardingRuleId}

Modify an existing Call Forwarding in siteTemplate

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
forwardingRuleIdpathstringyesEntry ID of the call forwarding rule to be modified.

Request body — application/json (required) — schema CallForwardingRule

FieldTypeRequiredDescription
omadacIdstringnoOmadac ID
siteIdstringnoSite ID
ruleIdstringnoCall forwarding rule id
enablebooleanyesEnable this rule or not
conditionintegeryesForwarding condition. 0- no answer, 1- unconditional
typeintegeryesThe call type to be forwarded. 0: All Incoming Calls - If this option is selected, all incoming calls will be forwarded. 1: Calls to the Telephone Number - If this option is selected, select a telephone number from the list. Any incoming calls to this number will be forwarded. 2: Calls to the Phone - If this option is selected, select a telephony device from the list. Any incoming calls to this device will be forwarded. 3: Calls from a Person in the Telephone Book - If this option is selected, select a contact from the list. Any incoming calls from this contact will be forwarded. 4: Calls from the Telephone Number - If this option is selected, enter a specific telephone number. Any incoming calls from this number will be forwarded.
toNumbersarray<string>noAny incoming calls to these numbers will be forwarded.
toDevicesarray<integer>noAny incoming calls to these devices will be forwarded.
fromPersonsarray<string>noAny incoming calls from these contacts will be forwarded.
fromNumbersarray<string>noAny incoming calls from these numbers will be forwarded.
forwardViastringno"Auto" by default.
destNumberstringyesThe Destination Telephone Number that incoming calls will be redirected to.
json
// omada_call_operation
{
  "operationId": "modifyCallForwardingRule",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "forwardingRuleId": "<forwardingRuleId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing Call Forwarding in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager Modify

getCallForwardingRulesGridTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/call-forwarding/grid

Get siteTemplate's Call Forwarding list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getCallForwardingRulesGridTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get siteTemplate's Call Forwarding list.
The interface requires one of the permissions:
Global Site Template Manager View Only

getVoipCallLogEnable ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/call-log-enable

Get siteTemplate's Voip CallLog Setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getVoipCallLogEnable",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get siteTemplate's Voip CallLog Setting.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyVoipCallLogEnable ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/call-log-enable

Modify siteTemplate's Voip CallLog Setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema VoipCallLogEnableSetting

FieldTypeRequiredDescription
callLogEnablebooleanyesWhether to enable the call log.
json
// omada_call_operation
{
  "operationId": "modifyVoipCallLogEnable",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify siteTemplate's Voip CallLog Setting.
The interface requires one of the permissions:
Global Site Template Manager Modify

getVoipTelephoneBookTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/telephone-book

Get siteTemplate's Voip Contact Person list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getVoipTelephoneBookTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get siteTemplate's Voip Contact Person list.
The interface requires one of the permissions:
Global Site Template Manager View Only

createVoipTelephoneBookTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/telephone-book

Create new siteTemplate's Contact Person

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema VoipContactPersonSettings

FieldTypeRequiredDescription
firstNamestringnoThe firstName of contact person. It should contain 0 to 64 characters.
lastNamestringnoThe lastName of contact person. It should contain 0 to 64 characters.
privatePhoneNumberstringnoThe privatePhoneNumber of contact person.
workPhoneNumberstringnoThe workPhoneNumber of contact person.
mobilePhoneNumberstringnoThe mobilePhoneNumber of contact person.
speedDialEnablebooleannoWhether to enable the speedDial.
speedDialNumberTypeintegernospeedDialNumberType should be a value as follows: 0: Private Phone Number; 1: Work Phone Number; 2: Mobile Phone Number.
speedDialNumberstringnoThe speedDialNumber of contact person.
json
// omada_call_operation
{
  "operationId": "createVoipTelephoneBookTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new siteTemplate's Contact Person.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35615 - The number of Telephone book has reached the limit.
-35616 - The contact person's number combination already exists.

deleteVoipTelephoneBookTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/telephone-book/{contactId}

Delete an existing Contact Person in siteTemplate

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
contactIdpathstringyesVoip Contact Person ID

Request body — application/json (required) — schema VoipDeleteTelephoneBook

FieldTypeRequiredDescription
forceDeletebooleanyesOther configurations depending on this contact (call forwarding rules for instance) will be deleted together if this field is true. Otherwise, a pre-check will be executed and an error message will be returned when this contact is already used in some other configurations.
json
// omada_call_operation
{
  "operationId": "deleteVoipTelephoneBookTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "contactId": "<contactId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete an existing Contact Person in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager Modify

modifyVoipTelephoneBookTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/telephone-book/{contactId}

Modify an existing Contact Person in siteTemplate

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
contactIdpathstringyesVoip Contact Person ID

Request body — application/json (required) — schema VoipContactPersonSettings

FieldTypeRequiredDescription
firstNamestringnoThe firstName of contact person. It should contain 0 to 64 characters.
lastNamestringnoThe lastName of contact person. It should contain 0 to 64 characters.
privatePhoneNumberstringnoThe privatePhoneNumber of contact person.
workPhoneNumberstringnoThe workPhoneNumber of contact person.
mobilePhoneNumberstringnoThe mobilePhoneNumber of contact person.
speedDialEnablebooleannoWhether to enable the speedDial.
speedDialNumberTypeintegernospeedDialNumberType should be a value as follows: 0: Private Phone Number; 1: Work Phone Number; 2: Mobile Phone Number.
speedDialNumberstringnoThe speedDialNumber of contact person.
json
// omada_call_operation
{
  "operationId": "modifyVoipTelephoneBookTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "contactId": "<contactId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing Contact Person in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35615 - The number of Telephone book has reached the limit.
-35616 - The contact person's number combination already exists.

batchDeleteVoipTelephoneBookTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/telephone-book/batch-delete

Batch delete existing Contact Person in siteTemplate

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema VoipTelephoneBookBatchSetting

FieldTypeRequiredDescription
contactIdsarray<string>yesDelete the contact ID of contact person.
selectTypestringyesSpeedDialNumberType should be a value as follows: all, include, exclude.
forceDeletebooleanyesOther configurations depending on selected contacts (call forwarding rules for instance) will be deleted together if this field is true. Otherwise, a pre-check will be executed and an error message will be returned when this contact is already used in some other configurations.
json
// omada_call_operation
{
  "operationId": "batchDeleteVoipTelephoneBookTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch delete existing Contact Person in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.